server:
  port: 7790
  compression: #开启gzip压缩，返回内容大于2k的才会进行压缩
    enabled: true
    mime-types: application/javascript,text/css,application/json,application/xml,text/html,text/xml,text/plain
    min-response-size: 2048
  
logging.level:
  '[quant.rich]': debug
  '[org.springframework.security]': info

spring:
  cache:
    type: redis
    redis:
      key-prefix: 'emoney-auto:'
      use-key-prefix: true
  devtools:
    restart:
      additional-exclude: '**/*.html'
  jackson:
    date-format: yyyy-MM-dd HH:mm:ss
    time-zone: Asia/Shanghai
  profiles.active: remote
  session.timeout: 86400
  thymeleaf:
    prefix: classpath:/webpage/
    suffix: .html
    mode: HTML
    encoding: UTF-8
    cache: false

kaptcha:
  border: "no"
  image:
    width: 130
    height: 38
  textproducer:
    char:
       length: 5
    font:
      color: 35,37,38,80
      size: 30
      names: Times New Roman,Sans,Microsoft Yahei UI,Consolas
  session:
    key: code
  noise:
    color: 35,37,38,80

# 程序默认配置，部分内容可以通过数据库覆写
# 当数据库不存在配置时默认加载文件内配置
emoney-auto-config:
    username: admin
    password: Em0nY_4u70~!
  
# emoney settings
emoney-client:
  emoney-login-form:
    acc-id: emy1730978
    acc-type: 1
    app-version: 5.0.0
    channel-id: 1711
    device-name: LIO-AN00
    real-ex-identify:
      imei: 
      android-id: 6e530d685bac6e00
      mac: 
      os-finger-print: asus/android_x86/x86:5.1.1/LMY47I/V9.5.3.0.LACCNFA:user/release-keys
    guid: 64de523312b56f1ab10c0423d537e2d6
    hardware: 970e18b41745962e3d2dc359d81e4602
    osVersion: 22
    platform: android
    product-id: 4
    pwd: 777988
    softwareType: Mobile
    ssid: 0
    
  
  emoney-anonymous-login-form:
    acc-id: d31b7d82cb9c328e7351610bbefcece7
    acc-type: 4
    app-version: 5.0.0
    channel-id: 1711
    device-name: DT1901A
    real-ex-identify:
      imei: 864213083058479
      android-id: a892551da95d26fa
      mac: 
      os-finger-print: samsung/star2qltezh/star2qltechn:9/PQ3B.190801.002/G9650ZHU2ARC6:user/release-keys
    guid: d31b7d82cb9c328e7351610bbefcece7
    hardware: c19d981ba874e7c0f8911bcf575d6a2b
    osVersion: 22
    platform: android
    product-id: 4
    pwd: 
    softwareType: Mobile
    ssid: 0

  emoney-login-header:
    emapp-view-mode: 1
    x-android-agent: EMAPP/5.0.0(Android;22)
    x-protocol-id: user%2Fauth%2Flogin
    authorization: 
    user-agent: okhttp/3.12.2
    
  emoney-request-header:
    emapp-view-mode: 1
    x-android-agent: EMAPP/5.0.0(Android;22)
    authorization: 
    user-agent: okhttp/3.12.2